=== debian/changelog ===
net-snmp (5.7.2.1+dfsg-1) unstable; urgency=medium

  * re-generate upstream source due to accidentally include non-free MIB files.
    Now those are removed from source again (Closes: #782598)

 -- Hideki Yamane <henrich@debian.org>  Sun, 12 Apr 2015 06:38:47 +0900
