=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 
-# TODO
-# without -pie build fails during perl module build somehow...
-export DEB_BUILD_MAINT_OPTIONS := hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 LIB_VERSION = 30
@@ -23,8 +21,10 @@
 DEB_DH_GENCONTROL_ARGS=-- -Vos-specific-dev="libsensors4-dev"
 else
 ifeq (kfreebsd,$(DEB_BUILD_ARCH_OS))
-IPV6 = --disable-ipv6
+IPV6 = --enable-ipv6
 DEB_DH_GENCONTROL_ARGS=-- -Vos-specific-dev="libkvm-dev"
+CFLAGS += $(shell pkg-config --cflags libbsd-overlay)
+LDFLAGS += $(shell pkg-config --libs libbsd-overlay)
 endif
 endif
 ifeq (hurd,$(DEB_BUILD_ARCH_OS))
@@ -35,7 +35,7 @@
 endif
 
 %:
-	dh $@ --with autotools-dev,autoreconf,python2
+	dh $@ --with autotools-dev,autoreconf,python2,systemd,apport
 
 override_dh_auto_configure:
 	dh_auto_configure -- --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man \
@@ -58,11 +58,25 @@
 # --with-python-modules=""  # don't specify it, since dh_python2 cannot handle it.
 # --with-dnssec-local-validation  # not enabled since libval doesn't exist in Debian yet
 
+override_dh_auto_build:
+	dh_auto_build
+	cd python; python setup.py build --basedir=$(CURDIR)
+
+override_dh_auto_install:
+	dh_auto_install
+	cd python; python setup.py install --root=$(CURDIR)/debian/tmp \
+		--install-layout=deb --basedir=$(CURDIR) ; \
+		find $(CURDIR) -name *.pyc -delete
+
 override_dh_clean:
 	dh_clean
 	rm -rf `find . -name .libs` \
 	       python/build         \
-	       python/netsnmp_python.egg-info
+	       python/netsnmp_python.egg-info \
+	       dist/generation-scripts/gen-variables \
+	       perl/SNMP/t/snmptest.cmd \
+	       perl/TrapReceiver/const-c.inc \
+	       perl/TrapReceiver/const-xs.inc
 
 override_dh_strip:
 	dh_strip -plibsnmp$(LIB_VERSION) --dbg-package=libsnmp$(LIB_VERSION)-dbg
@@ -71,14 +85,12 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -plibsnmp$(LIB_VERSION) -V"libsnmp$(LIB_VERSION) (>= $(COMPAT_VERSION))"
 
-override_dh_install:
-	cd python; python setup.py build --basedir=$(CURDIR) ; \
-		   python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb --basedir=$(CURDIR) ; \
-		   find $(CURDIR) -name *.pyc -delete
+override_dh_install-arch:
+	dh_install
 	install $(CURDIR)/EXAMPLE.conf $(CURDIR)/debian/snmpd/etc/snmp/snmpd.conf
-	dh_install
 
 override_dh_installdocs:
+	dh_installdocs -plibsnmp-perl -ptkmib -plibsnmp-base -plibsnmp$(LIB_VERSION)
 	dh_installdocs --link-doc=libsnmp$(LIB_VERSION) \
 		       -plibsnmp-dev \
 		       -plibsnmp$(LIB_VERSION)-dbg \
@@ -86,20 +98,23 @@
 		       -psnmpd \
 		       -psnmptrapd \
 		       -psnmp
-	dh_installdocs  -plibsnmp-perl -ptkmib -plibsnmp-base
-	# dh_installdocs has a bug when --link-doc is called it don't install copyright file to referenced package
-	# so specify to copy it
-	install -d $(CURDIR)/debian/libsnmp$(LIB_VERSION)/usr/share/doc/libsnmp$(LIB_VERSION)/
-	install -m644 debian/copyright $(CURDIR)/debian/libsnmp$(LIB_VERSION)/usr/share/doc/libsnmp$(LIB_VERSION)/
 
-override_dh_fixperms:
+override_dh_fixperms-arch:
 	dh_fixperms
 	chmod -x debian/libsnmp-dev/etc/snmp/*.conf
 	chmod 600 debian/snmpd/etc/snmp/snmp*d.conf
 
+.PHONY: override_dh_apport
+override_dh_apport:
+	dh_apport -psnmpd
+
 override_dh_auto_test:
 	# prevent test since it fails with network configuration under pbuilder/etc.
 	true
+
+override_dh_systemd_enable:
+	dh_systemd_enable --package=snmptrapd --no-enable
+	dh_systemd_enable --remaining-packages
 
 get-orig-source:
 	@uscan --download-version $(UPSTREAM_VERSION) --destdir /tmp --force-download --no-symlink
