## net-snmp 5.7.3%2Bdfsg.2

=== debian/changelog ===
net-snmp (5.7.3+dfsg.2-5+deb10u2) unstable; urgency=medium

  * update

 -- Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>  Tue, 23 Feb 2021 13:44:04 +0800

net-snmp (5.7.3+dfsg.2-5+deb10u2) buster; urgency=high

  * snmpd: Add cacheTime and execType flags to EXTEND-MIB.
    Previous security release made EXTEND-MIB read-only which meant
    it was not possible to set the timeout of the cache. This patch
    allows the administrator to set the value in the snmpd.conf file.
    Closes: #969508

 -- Craig Small <csmall@debian.org>  Thu, 28 Jan 2021 20:49:23 +1100

net-snmp (5.7.3+dfsg.1-1+dde) buster; urgency=medium

  * Non-maintainer upload.
  * rebuild

 -- zhouzilong <zhouzilong@uniontech.com>  Thu, 03 Sep 2020 08:54:44 +0800

net-snmp (5.7.3+dfsg-5+deb10u1) buster-security; urgency=high

  * snmpd: Make EXTEND-MIB readonly access
    Fixes CVE-2020-15862 Closes: #965166
  * snmpd: Do not cache MIB directory
    Fixes CVE-2020-15861 Closes: #966599

 -- Craig Small <csmall@debian.org>  Fri, 31 Jul 2020 20:53:22 +1000

net-snmp (5.7.3+dfsg-5) unstable; urgency=medium

  * Use debhelper macros for shlibs Closes: #912685
  * Relocate snmp.conf to libsnmp-base Closes: #914657

 -- Craig Small <csmall@debian.org>  Sat, 05 Jan 2019 16:16:10 +1100

net-snmp (5.7.3+dfsg-4) unstable; urgency=medium

  [ Craig Small ]
  * Use correct snmpwalk args in snmpcheck Closes: #898197
  * Remove user only on purge Closes: #911216

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Removing redundant Priority field in binary package
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/watch: Use https protocol

  [ Salvatore Bonaccorso ]
  * snmpd crashes when receiving a GetNext PDU with multiple Varbinds
    (CVE-2018-18065) (Closes: #910638)

 -- Craig Small <csmall@debian.org>  Fri, 26 Oct 2018 12:40:34 +1100

net-snmp (5.7.3+dfsg-3) unstable; urgency=medium

  * Compile perl module after library Closes: #894626

 -- Craig Small <csmall@debian.org>  Wed, 04 Apr 2018 21:34:09 +1000

net-snmp (5.7.3+dfsg-2) unstable; urgency=medium

  [ Craig Small ]
  * New maintainer Closes: #835654
  * Imported old NMU diff Closes: #851343, #852479
  * Change VCS urls to salsa
  * Update to standards 4.1.3 - no change
  * Update to debhelper version 11
  * Remove empty copyright file for libsnmp30
  * snmp.prerm - remove killall
  * snmpd and snmptrapd init scripts follow LSB minimal skeleton
    Closes: #823079, #746397
  * Drop Jochen Friedrich from Uploaders Closes: #891770
  * Make snmpd and snmptrapd write pid files Closes: #878828

  [ Hideki Yamane ]
  * debian/control
    - fix lintian error "old-style-config-script-multiarch-path" by adding
      "Multi-Arch: no" to libsnmp-dev. It also fix multi-arch install
      (Closes: #774775)
    - note net-snmp-config script moved to libsnmp-dev (Closes: #801991)
      Thanks to Vanush Misha Paturyan <misha@cs.nuim.ie>
  * debian/libsnmp-perl.manpages
    - fix to install perl modules man pages (Closes: #778539)
      Thanks to Guillem Jover <gjover@sipwise.com> for the patch
  * move debian/NEWS to debian/snmpd.NEWS (Closes: #586722, #587183)
  * debian/control
    - drop Hideki Yamane <henrich@debian.org> from Uploaders.

 -- Craig Small <csmall@debian.org>  Sat, 31 Mar 2018 20:00:51 +1100

net-snmp (5.7.3+dfsg-1.8) unstable; urgency=medium

  * Non-maintainer upload.
  * Add support for OpenSSL 1.1.0 and revert that were added
    (Closes: #828449):
    - add libssl-dev back as dependency of libsnmp-dev
    - drop the guard which enforced libssl 1.0.2
    - add -lcrypto back to pkg-config

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 23 Dec 2017 23:48:23 +0100

net-snmp (5.7.3+dfsg-1.7) unstable; urgency=medium

  [ Niels Thykier ]
  * Non-maintainer upload with the following changes from
    other people.

  [ Sebastian Andrzej Siewior ]
  * drop dep on libssl1.0-dev in the dev package.  (Closes: #851946)
  * add a guard to catch users of the wrong library
  * remove "-lcrypto" from the pkg-config when linking statically.
    This is technical suboptimal and should ideally be reverted
    for buster (when all packages migrate to the same ssl version).

  [ Adrian Bunk ]
  * Re-able "pie" hardening as its absence is causing issues for
    reverse dependencies.  (Closes: #852023)

 -- Niels Thykier <niels@thykier.net>  Tue, 24 Jan 2017 20:16:23 +0000

net-snmp (5.7.3+dfsg-1.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Update Build-Depends to use libssl1.0-dev and
    default-libmysqlclient-dev.  (Closes: #846569, #836312)
  * Use "perl" instead of the (now removed) "perl-modules" package
    in Recommends.
  * Add dh-python build-depends because dh_python2 asked for it.
  * Drop debian/libsnmp30.postinst - its entire contents was handled
    by debhelper.

 -- Niels Thykier <niels@thykier.net>  Sat, 14 Jan 2017 08:40:05 +0000

net-snmp (5.7.3+dfsg-1.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS with Perl 5.24: error: conflicting types for 'U64'":
    add patch from upstream git which removes the U64 typedef from the
    Net-SNMP header files.
    Thanks to Niky Tyni for extracting the patch.
    (Closes: #825014)
  * Additionally add another patch from upstream git which fixes
    perl/*/Makefile.PL to fix build failures with Perl 5.24.
    Cf. https://sourceforge.net/p/net-snmp/bugs/2712/

 -- gregor herrmann <gregoa@debian.org>  Fri, 02 Sep 2016 16:43:42 +0200

net-snmp (5.7.3+dfsg-1.4) unstable; urgency=medium

  [ Sophie Brun ]
  * Non-maintainer upload.
  * Add a snmpd.service and a snmptrapd.service (Closes: #782243)

  [ Raphaël Hertzog ]
  * Fix the package so that it can build "Arch: all" without "Arch: any" (and
    thus letting us make source only uploads).

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 20 Jun 2016 10:24:35 +0200

net-snmp (5.7.3+dfsg-1.3) unstable; urgency=medium


