## net-snmp 5.7.3+dfsg

=== dist/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 NAME = net-snmp
 
 # Define the default RPM release number. Set by Version-Munge.pl
-VERSION = 5.7.2.1
+VERSION = 5.7.3
 
 VERSION_TAG=`echo Ext-$(VERSION) | sed 's/\./-/g;'`
