=== debian/changelog ===
net-snmp (5.7.3+dfsg-5ubuntu1.2) disco; urgency=medium

  * d/p/put-paranthesis-around-macros-which-are-expressions.patch:
    - put paranthesis around macros which are expressions.
    (LP: #1843036)

  * d/p/fix-check-hr-filesys-autofs.patch:
    - On Linux getmntent() is available but getfsstat() not.
      Hence remove #if HAVE_GETFSSTAT from around the HRFS_type
      check.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Fri, 06 Sep 2019 23:44:49 +0000

net-snmp (5.7.3+dfsg-5ubuntu1.1) disco; urgency=medium

  * Skip autofs entries when calling statfs to prevent autofs being mounted on
    snmp startup (LP: #1835818):
    - d/p/autofs-skip-autofs-entries.patch
    - d/p/autofs-fix-a-recently-introduced-bug.patch

 -- Ioanna Alifieraki <ioanna-maria.alifieraki@canonical.com>  Wed, 21 Aug 2019 11:46:06 +0000

net-snmp (5.7.3+dfsg-5ubuntu1) disco; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add apport hook.
      + d/control: add dh-apport to Build-Depends
      + d/rules: install the apport hook via debhelper
      + d/source.apport: apport hook
    - d/p/0001-swinst_apt.c-Fix-indexing-of-hrSWInstalledTable-to-s.patch:
      set first hrSWInstalledIndex to 1 to follow RFC 2790 (LP #1314760)
  * Drop:
    - SECURITY UPDATE: DoS via NULL pointer exception
      + debian/patches/CVE-2018-18065.patch: fix logic in
        agent/helpers/table.c.
      + CVE-2018-18065
      [Fixed in 5.7.3+dfsg-4]
    - d/p/my_load_defaults: use my_load_defaults instead of the
      libmysqlclient-internal load_defaults (LP #1565003). Thanks to Lars
      Tangvald.
      [Replaced by a more complete patch]
    - debian/rules: Fix calculation of UPSTREAM_VERSION and COMPAT_VERSION.
      [No more needed since 5.7.3+dfsg-5]
  * Added:
    - d/p/snmptrapd_mysql_init: drop this patch. The first part fixes builds
      with newer mariadb, which Ubuntu doesn't use, and the second part is
      an unrelated change which we are fixing in another patch (see #1814254
      for details).
    - d/p/0001-Link-libnetsnmptrapd-against-MYSQL_LIBS.patch: Link
      libnetsnmptrapd against MYSQL_LIBS.  Thanks to Adam
      Williamson <awilliam@redhat.com>. (Closes: #886221, LP: #1814254)
    - Fix build with mysql-8 (LP: #1814270):
      + d/p/mysql8-replace-bool.patch: newer mysql dropped my_bool, use char
        instead.
      + d/p/my-load-defaults.patch: properly detect (and use)
        my_load_defaults(). This replaces the previous
        my_load_defaults patch.
      + d/p/mysql8-headers.patch: detect if my_global.h and my_sys.h are
        available
      + d/p/mysql-init.patch: handle the various mysql init functions
      + d/p/mysql-options.patch: use mysql_options if no {my_,}load_defaults
        was found.

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 05 Feb 2019 16:00:35 -0200

net-snmp (5.7.3+dfsg-1.8ubuntu5) disco; urgency=medium

  * No-change rebuild against latest lm-sensors

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 02 Jan 2019 17:37:45 -0500

net-snmp (5.7.3+dfsg-1.8ubuntu4) disco; urgency=medium

  * debian/rules: Fix calculation of UPSTREAM_VERSION and COMPAT_VERSION.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 05 Nov 2018 13:22:39 -0700

net-snmp (5.7.3+dfsg-1.8ubuntu3.18.10.1) cosmic-security; urgency=medium

  * SECURITY UPDATE: DoS via NULL pointer exception
    - debian/patches/CVE-2018-18065.patch: fix logic in
      agent/helpers/table.c.
    - CVE-2018-18065

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 22 Oct 2018 08:03:49 -0400

net-snmp (5.7.3+dfsg-1.8ubuntu3) bionic; urgency=medium

  * d/p/0001-swinst_apt.c-Fix-indexing-of-hrSWInstalledTable-to-s.patch:
    set first hrSWInstalledIndex to 1 to follow RFC 2790 (LP: #1314760)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 20 Feb 2018 15:24:41 +0100

net-snmp (5.7.3+dfsg-1.8ubuntu2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Feb 2018 17:54:39 +0000

net-snmp (5.7.3+dfsg-1.8ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable (LP: #1742518). Remaining changes:
    - Add apport hook.
      + d/control: add dh-apport to Build-Depends
      + d/rules: install the apport hook via debhelper
      + d/source.apport: apport hook
    - d/p/my_load_defaults: use my_load_defaults instead of the
      libmysqlclient-internal load_defaults (LP #1565003). Thanks to Lars
      Tangvald.
  * Dropped:
    - Avoid installing links in rc[06].d.
      [It's not clear what it was trying to solve (no details or bug
      number), but update-rc.d no longer takes start/stop arguments and
      this delta was actually resulting in warnings during the installation.
      Also, Ubuntu is using systemd now and this package has systemd service
      files.]

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 11 Jan 2018 16:07:07 -0200

net-snmp (5.7.3+dfsg-1.7ubuntu1) artful; urgency=medium

  * Merge with Debian unstable (LP: #1712569). Remaining changes:
    - Add apport hook.
      + d/control: add dh-apport to Build-Depends
      + d/rules: install the apport hook via debhelper
      + d/source.apport: apport hook
    - Avoid installing links in rc[06].d.
    - d/p/my_load_defaults: use my_load_defaults instead of the
      libmysqlclient-internal load_defaults (LP #1565003). Thanks to Lars
      Tangvald.
  * Drop:
    - SECURITY UPDATE: denial of service and possible code execution via
      incompletely parsed varBind variables
      + debian/patches/CVE-2015-5621.patch: don't return incorrectly parsed
        varbinds in snmplib/snmp_api.c.
      + CVE-2015-5621
      [Added by Debian as 0025-Bug-788964-net-snmp-snmp_pdu_parse-DoS.patch
      in 5.7.3+dfsg-1.1]
    - debian/snmp.preinst:
      It turns out that the original motivation why killall was added is gone.
      So we can just remove the killall introduced by Ubuntu LP #573391
      (Closes: #781257, LP #1245604)

