=== debian/control ===
--- 
+++ 
@@ -3,23 +3,24 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>
-Uploaders: Jochen Friedrich <jochen@scram.de>, Thomas Anders <tanders@users.sourceforge.net>, Noah Meyerhans <noahm@debian.org>,
- Hideki Yamane <henrich@debian.org>
-Build-Depends: debhelper (>= 9), libtool, libwrap0-dev, libssl-dev, perl (>=5.8), libperl-dev,
+Uploaders: Craig Small <csmall@debian.org>,
+ Thomas Anders <tanders@users.sourceforge.net>,
+ Noah Meyerhans <noahm@debian.org>
+Build-Depends: debhelper (>= 11),
+ libtool, libwrap0-dev, libssl-dev, perl (>=5.8), libperl-dev,
  python-all (>= 2.6.6-3~), python-setuptools (>=0.6b3), python2.7-dev,
- autoconf, automake, autotools-dev, debianutils (>=1.13.1),
- dh-autoreconf, dh-systemd,
- bash (>=2.05), findutils (>=4.1.20), procps, 
- pkg-config [kfreebsd-i386 kfreebsd-amd64], 
- libbsd-dev [kfreebsd-i386 kfreebsd-amd64], 
- libkvm-dev [kfreebsd-i386 kfreebsd-amd64], 
+ autoconf, automake, debianutils (>=1.13.1),
+ dh-python,
+ bash (>=2.05), findutils (>=4.1.20), procps,
+ pkg-config [kfreebsd-i386 kfreebsd-amd64],
+ libbsd-dev [kfreebsd-i386 kfreebsd-amd64],
+ libkvm-dev [kfreebsd-i386 kfreebsd-amd64],
  libsensors4-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
- default-libmysqlclient-dev, libpci-dev, dh-python, dh-apport
+ default-libmysqlclient-dev, libpci-dev, dh-apport
 Build-Conflicts: libsnmp-dev
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-net-snmp/pkg-net-snmp.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-net-snmp/pkg-net-snmp.git
-XS-Python-Version: 2.7
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/debian/net-snmp.git
+Vcs-Browser: https://salsa.debian.org/debian/net-snmp
 Homepage: http://net-snmp.sourceforge.net/
 
 Package: snmpd
@@ -39,8 +40,8 @@
 Recommends: perl
 Depends: ${shlibs:Depends}, ${misc:Depends}, snmpd
 Conflicts: snmpd (<< 5.7.2.1~dfsg-1), snmp (<< 5.7.2.1~dfsg-1)
-Breaks: snmpd (<< 5.7.2.1~dfsg-1)
-Replaces: snmp (<< 5.7.2.1~dfsg-1)
+Breaks: snmpd (<< 5.7.2.1~dfsg-1), snmp (<< 5.7.3+dfsg-2)
+Replaces: snmp (<< 5.7.2.1~dfsg-1), snmp (<< 5.7.3+dfsg-2)
 Description: Net-SNMP notification receiver
  The Simple Network Management Protocol (SNMP) provides a framework
  for the exchange of management information between agents (servers)
@@ -52,12 +53,12 @@
 Package: snmp
 Architecture: any
 Recommends: perl
-Depends: ${shlibs:Depends}, ${misc:Depends}, libsnmp-base
+Depends: ${shlibs:Depends}, ${misc:Depends}, libsnmp-base (>= 5.7.3+dfsg-5)
 Breaks: libsnmp15 (<< 5.7.2~dfsg-0.1)
 Description: SNMP (Simple Network Management Protocol) applications
  The Simple Network Management Protocol (SNMP) provides a framework
  for the exchange of management information between agents (servers)
- and clients. 
+ and clients.
  .
  The Net-SNMP applications are a collection of command line clients
  for issuing SNMP requests to agents.
@@ -65,9 +66,9 @@
 Package: libsnmp-base
 Section: libs
 Architecture: all
-Replaces: libsnmp-dev (<< 5.4~dfsg), libsnmp9-dev (<< 5.4~dfsg), libsnmp15 (<< 5.7.2~dfsg-5)
+Replaces: libsnmp-dev (<< 5.4~dfsg), libsnmp9-dev (<< 5.4~dfsg), libsnmp15 (<< 5.7.2~dfsg-5), snmp (<< 5.7.3+dfsg-5)
 Conflicts: libsnmp-dev (<< 5.4~dfsg), libsnmp9-dev (<< 5.4~dfsg), libsnmp30 (<< 5.7.2~dfsg-5)
-Breaks: libsnmp15 (<< 5.7.2~dfsg-5)
+Breaks: libsnmp15 (<< 5.7.2~dfsg-5), snmp (<< 5.7.3+dfsg-5)
 Depends: ${misc:Depends}
 Suggests: snmp-mibs-downloader
 Multi-Arch: foreign
@@ -76,10 +77,9 @@
  for the exchange of management information between agents (servers)
  and clients.
  .
- This package includes net-snmp-config scripts, documentation and MIBs
- (Management Information Bases) for the SNMP libraries, agents and
- applications. MIBs contain a formal description of the data that can be
- managed using SNMP and applications.
+ This package includes documentation and MIBs (Management Information Bases)
+ for the SNMP libraries, agents and applications. MIBs contain a formal
+ description of the data that can be managed using SNMP and applications.
  .
  NOTE: If you want the OIDs (Object Identifiers) to resolve to their text
  description, you need to activate the non-free repository and install the
@@ -104,7 +104,6 @@
 
 Package: libsnmp30-dbg
 Section: debug
-Priority: extra
 Architecture: any
 Depends: libsnmp30 (=${binary:Version}), ${misc:Depends}
 Description: SNMP (Simple Network Management Protocol) library debug
@@ -117,6 +116,7 @@
 Package: libsnmp-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: no
 Replaces: libsnmp9-dev, libsnmp15-dev, snmp (<< 5.4~dfsg), libsnmp-base (<< 5.7.2~dfsg-8.1~)
 Provides: libsnmp9-dev
 Conflicts: libsnmp9-dev, libsnmp15-dev, snmp (<< 5.4~dfsg)
@@ -130,8 +130,8 @@
  and clients.
  .
  The Net-SNMP development files include the library headers, static
- libraries, and documentation needed for development of custom SNMP
- applications.
+ libraries, net-snmp-config scripts and documentation needed for development
+ of custom SNMP applications.
 
 Package: libsnmp-perl
 Section: perl
