## net-snmp 5.7.3+dfsg.2

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 endif
 
 %:
-	dh $@ --with python2,apport
+	dh $@ --with python2
 
 override_dh_auto_configure:
 	dh_auto_configure -- --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man \
@@ -102,10 +102,6 @@
 	chmod -x debian/libsnmp-dev/etc/snmp/*.conf
 	chmod 600 debian/snmpd/etc/snmp/snmp*d.conf
 
-.PHONY: override_dh_apport
-override_dh_apport:
-	dh_apport -psnmpd
-
 override_dh_auto_test:
 	# prevent test since it fails with network configuration under pbuilder/etc.
 	true
