## net-snmp 5.7.3.1

=== debian/changelog ===
net-snmp (5.7.3.1-deepin1) buster-security; urgency=high

  * fix:CVE-2022-44792 and CVE-2022-44793

 -- yanghaibo <yanghaibo@uniontech.com>  Tue, 31 Jan 2023 11:37:07 +0800

net-snmp (5.7.3+dfsg-5+deb10u3) buster-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * snmpd_fix_bounds_checking: CVE-2022-24805, CVE-2022-24809
  * snmpd_recover_set_status: CVE-2022-24806, CVE-2022-24807, CVE-2022-24808,
    CVE-2022-24810
  * patches based on the backports of Craig Small to Bullseye

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 26 Aug 2022 22:03:02 +0200

net-snmp (5.7.3+dfsg-5+deb10u2) buster; urgency=high

  * snmpd: Add cacheTime and execType flags to EXTEND-MIB.
    Previous security release made EXTEND-MIB read-only which meant
    it was not possible to set the timeout of the cache. This patch
    allows the administrator to set the value in the snmpd.conf file.
    Closes: #969508

 -- Craig Small <csmall@debian.org>  Thu, 28 Jan 2021 20:49:23 +1100
