=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: net-snmp
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>
+Maintainer: Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>
 Uploaders: Craig Small <csmall@debian.org>,
  Thomas Anders <tanders@users.sourceforge.net>,
  Noah Meyerhans <noahm@debian.org>
@@ -16,7 +15,7 @@
  libbsd-dev [kfreebsd-i386 kfreebsd-amd64],
  libkvm-dev [kfreebsd-i386 kfreebsd-amd64],
  libsensors4-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
- default-libmysqlclient-dev, libpci-dev, dh-apport
+ default-libmysqlclient-dev, libpci-dev
 Build-Conflicts: libsnmp-dev
 Standards-Version: 4.1.3
 Vcs-Git: https://salsa.debian.org/debian/net-snmp.git
