## net-snmp 5.8%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,29 @@
 Source: net-snmp
 Section: net
 Priority: optional
-Maintainer: Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>
 Uploaders: Craig Small <csmall@debian.org>,
  Thomas Anders <tanders@users.sourceforge.net>,
  Noah Meyerhans <noahm@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
  libtool, libwrap0-dev, libssl-dev, perl (>=5.8), libperl-dev,
- python-all (>= 2.6.6-3~), python-setuptools (>=0.6b3), python2.7-dev,
  autoconf, automake, debianutils (>=1.13.1),
- dh-python,
  bash (>=2.05), findutils (>=4.1.20), procps,
  pkg-config [kfreebsd-i386 kfreebsd-amd64],
  libbsd-dev [kfreebsd-i386 kfreebsd-amd64],
  libkvm-dev [kfreebsd-i386 kfreebsd-amd64],
  libsensors4-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
- default-libmysqlclient-dev, libpci-dev
+ default-libmysqlclient-dev, libpci-dev, dh-apport
 Build-Conflicts: libsnmp-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/debian/net-snmp.git
 Vcs-Browser: https://salsa.debian.org/debian/net-snmp
 Homepage: http://net-snmp.sourceforge.net/
 
 Package: snmpd
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, debconf, lsb-base (>= 3.2-13), libsnmp-base
 Suggests: snmptrapd
 Description: SNMP (Simple Network Management Protocol) agents
@@ -38,9 +38,8 @@
 Architecture: any
 Recommends: perl
 Depends: ${shlibs:Depends}, ${misc:Depends}, snmpd
-Conflicts: snmpd (<< 5.7.2.1~dfsg-1), snmp (<< 5.7.2.1~dfsg-1)
-Breaks: snmpd (<< 5.7.2.1~dfsg-1), snmp (<< 5.7.3+dfsg-2)
-Replaces: snmp (<< 5.7.2.1~dfsg-1), snmp (<< 5.7.3+dfsg-2)
+Breaks: snmp (<< 5.7.3+dfsg-2)
+Replaces: snmp (<< 5.7.3+dfsg-2)
 Description: Net-SNMP notification receiver
  The Simple Network Management Protocol (SNMP) provides a framework
  for the exchange of management information between agents (servers)
@@ -53,7 +52,6 @@
 Architecture: any
 Recommends: perl
 Depends: ${shlibs:Depends}, ${misc:Depends}, libsnmp-base (>= 5.7.3+dfsg-5)
-Breaks: libsnmp15 (<< 5.7.2~dfsg-0.1)
 Description: SNMP (Simple Network Management Protocol) applications
  The Simple Network Management Protocol (SNMP) provides a framework
  for the exchange of management information between agents (servers)
@@ -65,9 +63,8 @@
 Package: libsnmp-base
 Section: libs
 Architecture: all
-Replaces: libsnmp-dev (<< 5.4~dfsg), libsnmp9-dev (<< 5.4~dfsg), libsnmp15 (<< 5.7.2~dfsg-5), snmp (<< 5.7.3+dfsg-5)
-Conflicts: libsnmp-dev (<< 5.4~dfsg), libsnmp9-dev (<< 5.4~dfsg), libsnmp30 (<< 5.7.2~dfsg-5)
-Breaks: libsnmp15 (<< 5.7.2~dfsg-5), snmp (<< 5.7.3+dfsg-5)
+Replaces: snmp (<< 5.7.3+dfsg-5)
+Breaks: snmp (<< 5.7.3+dfsg-5)
 Depends: ${misc:Depends}
 Suggests: snmp-mibs-downloader
 Multi-Arch: foreign
@@ -84,11 +81,9 @@
  description, you need to activate the non-free repository and install the
  "snmp-mibs-downloader" package.
 
-Package: libsnmp30
+Package: libsnmp35
 Section: libs
 Architecture: any
-Replaces: libsnmp-base (<< 5.4.2.1~dfsg-4), snmp (<< 5.4.3~dfsg-1), libsnmp15
-Breaks: libsnmp15
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, libsnmp-base
@@ -101,10 +96,10 @@
  sending, receiving, decoding, and manipulation of the SNMP requests
  and responses.
 
-Package: libsnmp30-dbg
+Package: libsnmp35-dbg
 Section: debug
 Architecture: any
-Depends: libsnmp30 (=${binary:Version}), ${misc:Depends}
+Depends: libsnmp35 (=${binary:Version}), ${misc:Depends}
 Description: SNMP (Simple Network Management Protocol) library debug
  The Simple Network Management Protocol (SNMP) provides a framework
  for the exchange of management information between agents (servers)
@@ -116,12 +111,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: no
-Replaces: libsnmp9-dev, libsnmp15-dev, snmp (<< 5.4~dfsg), libsnmp-base (<< 5.7.2~dfsg-8.1~)
-Provides: libsnmp9-dev
-Conflicts: libsnmp9-dev, libsnmp15-dev, snmp (<< 5.4~dfsg)
-Breaks: libsnmp-base (<< 5.7.2~dfsg-8.1~)
-Depends: libc6-dev, libsnmp30 (=${binary:Version}), libwrap0-dev, libssl-dev, procps,
-         libkvm-dev [kfreebsd-any], libsensors4-dev [linux-any], ${misc:Depends},
+Depends: libc6-dev, libsnmp35 (=${binary:Version}), libwrap0-dev, libssl-dev, procps,
+         libkvm-dev [kfreebsd-any], libsensors-dev [linux-any], ${misc:Depends},
          libpci-dev
 Description: SNMP (Simple Network Management Protocol) development files
  The Simple Network Management Protocol (SNMP) provides a framework
@@ -144,22 +135,6 @@
  The Net-SNMP Perl5 support files provide the Perl functions for
  integration of SNMP into applications written in Perl.
 
-Package: python-netsnmp
-Section: python
-Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Breaks: libsnmp-python
-Replaces: libsnmp-python
-Provides: libsnmp-python, ${python:Provides}
-XB-Python-Version: ${python:Versions}
-Description: SNMP (Simple Network Management Protocol) Python support
- The Simple Network Management Protocol (SNMP) provides a framework
- for the exchange of management information between agents (servers)
- and clients.
- .
- The Net-SNMP Python support files provide the Python functions for
- integration of SNMP into applications written in Python.
-
 Package: tkmib
 Architecture: all
 Depends: libsnmp-perl (>=${source:Version}), perl-tk, ${misc:Depends}
